## org.apache.cassandra.cql3
Class CFDefinition.Name

    java.lang.Object
      org.apache.cassandra.cql3.CFDefinition.Name

Enclosing class:
  CFDefinition

    public static class CFDefinition.Name

extends java.lang.Object

Nested Class Summary
`static class` `CFDefinition.Name.Kind`

Field Summary
`CFDefinition.Name.Kind` `kind`
`ColumnIdentifier` `name`
`int` `position`
`AbstractType<?>` `type`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kind

    public final CFDefinition.Name.Kind kind

### name

    public final ColumnIdentifier name

### position

    public final int position

### type

    public final AbstractType<?> type

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation